//app.js
 
import util from '/utils/index'
import WxParse from '/wxParse/wxParse';

App({
  onLaunch() {
    if (wx.canIUse('getUpdateManager')) {
      const updateManager = wx.getUpdateManager();
      updateManager.onCheckForUpdate(({
        hasUpdate
      }) => {
        if (!hasUpdate) return;
        updateManager.onUpdateReady(_ => wx.showModal({
          title: '更新提示',
          content: '新版本已经准备好，是否重启应用？',
          success: ({
            confirm
          }) => confirm && updateManager.applyUpdate()
        }))
        updateManager.onUpdateFailed(_ => wx.showModal({
          title: '已经有新版本了哟~',
          content: '新版本已经上线啦~，请您删除当前小程序，重新搜索打开哟~',
        }))

      })
    } else {
      wx.showModal({
        title: '提示',
        content: '当前微信版本过低，无法使用该功能，请升级到最新微信版本后重试。'
      })
    }
  },
  globalData: {
    util,
    WxParse,
    userId: wx.getStorageSync("userId") | 0,
  },
 
 
 
})